---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: sps-guiservice
spec:
  template:
    spec:
      containers:
        - name: sps-guiservice
          imagePullPolicy: IfNotPresent
          env:
            - name: PROCTOR_SERVER_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: sebservercredentials
                  key: PROCTOR_SERVER_PASSWORD
            - name: VITE_SERVER_URL
              value: https://sps-prod.ethz.ch
            - name: PROCTOR_SERVER_URL
              value: http://sps-webservice
